#!/bin/bash
source ../test_common.sh
set_test_name "${BASH_SOURCE[0]}"

testfun() {
    [[ -f orthomapper.sh ]] || { echo "error: setup.sh not executed - missing orthomapper.sh"; return $EC_FAIL; }

    # check setup
    ./orthomapper.sh CHECK || { echo "error: failed check!"; return $EC_FAIL; }

    local label="test_nucl"
    local node="403"
    local fnucl="../data/nucl/bacteriax.fna"
    [[ -f $fnucl ]] || { echo "error: unable to read input test fasta at $fnucl"; return $EC_FAIL; }
    
    # 5. map fasta file against $node
    ./orthomapper.sh MAP "$label" "$fnucl" $node || { echo "error: failed running orthologer"; return $EC_FAIL; }
    
    # results
    check_map_result_files "$label" || return $EC_FAIL
    
    # compare with reference
    local fclus="Cluster/${label}.og"
    cmp_with_ref "$fclus" "proj_map/ref_$(basename $fclus)"
    return $?
}
run_test
exit $?

